/v1/mgmt/sso/samlAuthorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Configure the SAML Settings, using a valid management key.
This API endpoint will configure the SAML settings on a tenant utilizing a valid management key.
This API endpoint accepts idpURL, entityId, idpCert, and redirectURL which will be applied to the tenant under SSO Configuration section and will select the option to "Enter the connection details manually"
This endpoint also accepts the attribute mapping you would like to be configured on the SAML settings.
These configurations will need to be captured directly from your idp provider. The values for each field can be obtained from the admin console of the identity provider.
Alternatively, administrators can configure SAML without applying these setting manually via Configure SAML Metadata URL
See also
- See SSO Configuration for further details on managing SSO Configurations on a tenant.
curl -X POST "https://api.descope.com/v1/mgmt/sso/saml" \ -H "Content-Type: application/json" \ -d '{}'Get Tenant's SAML/OIDC Settings GET
### Get the current SAML/OIDC configuration settings of a tenant, using a valid management key. This API endpoint allows you to get the current SAML/OIDC configuration settings of a tenant. ### See also - See [SSO Configuration](/sso) for further details on managing SSO Configurations on a tenant.
Set Tenant's SAML Settings via Metadata URL POST
### Configure the SAML Metadata URL, using a valid management key. This API endpoint will configure the SAML Metadata URL on a tenant utilizing a valid management key. This API endpoint accepts idpMetadataURL which will be applied to the tenant under SSO Configuration section and will select the option to "Retrieve the connection details dynamically using a metadata URL" This endpoint also accepts the attribute mapping you would like to be configured on the SAML settings. This Metadata URL can can be obtained from the admin console of the identity provider. Configuring SAML via Metadata URL allows administrators to configure SAML without applying these setting manually via [Configure SAML Settings](/api/management/tenants/sso/configure-sso-saml-settings) ### See also - See [SSO Configuration](/sso) for further details on managing SSO Configurations on a tenant.